posts
Endpoints for creating, getting and interacting with posts.
Create a post
Create a new post in a channel. To create the post as a comment on another post, provide `root_id`.
Create a ephemeral post
Create a new ephemeral post in a channel.
Search posts across all teams
Search posts visible to the current user across all teams.
Get a post
Get a single post.
Delete a post
Soft deletes a post, by marking the post as deleted in the database. Soft deleted posts will not be returned in post queries.
Update a post
Update a post. Only the fields listed below are updatable, omitted fields will be treated as blank.
Mark as unread from a post.
Mark a channel as being unread from a given post.
Patch a post
Partially update a post by providing only the fields you want to update. Omitted fields will not be updated. The fields that can be updated are defined in the request body, all other provided fields will be ignored.
Get a thread
Get a post and the rest of the posts in the same thread.
Get a list of flagged posts
Get a page of flagged posts of a user provided user id string. Selects from a channel, team, or all flagged posts by a user. Will only return posts from channels in which the user is member.
Get file info for post
Gets a list of file information objects for the files attached to a post.
Get post info
Get additional metadata and access information for a post.
Get post edit history
Get edit history entries for a post.
Get posts for a channel
Get a page of posts in a channel. Use the query parameters to modify the behaviour of this endpoint. The parameter `since` must not be used with any of `before`, `after`, `page`, and `per_page` parameters.
Get posts around oldest unread
Get the oldest unread post in the channel for the given user as well as the posts around it. The returned list is sorted in descending order (most recent post first).
Search for team posts
Search posts in the team and from the provided terms string.
Pin a post to the channel
Pin a post to a channel it is in based from the provided post id string.
Unpin a post to the channel
Unpin a post to a channel it is in based from the provided post id string.
Perform a post action
Perform a post action, which allows users to interact with integrations through posts.
Get posts by a list of ids
Fetch a list of posts based on the provided postIDs
Set a post reminder
Set a reminder for the user for the post.
Acknowledge a post
Acknowledge a post that has a request for acknowledgements.
Delete a post acknowledgement
Delete an acknowledgement form a post that you had previously acknowledged.
Move a post (and any posts within that post's thread)
Move a post/thread to another channel.
Restores a past version of a post
Restores the post with `post_id` to its past version having the ID `restore_version_id`.
Reveal a burn-on-read post
Reveal a burn-on-read post. This endpoint allows a user to reveal a post that was created with burn-on-read functionality. Once revealed, the post content becomes visible to the user. If the post is already revealed and not expired, this is a no-op. If the post has expired, an error will be returned.
Burn a burn-on-read post
Burn a burn-on-read post. This endpoint allows a user to burn a post that was created with burn-on-read functionality. If the user is the author of the post, the post will be permanently deleted. If the user is not the author, the post will be expired for that user by updating their read receipt expiration time. If the user has not revealed the post yet, an error will be returned. If the post is already expired for the user, this is a no-op.
Rewrite a message using AI
Rewrite a message using AI based on the specified action. The message will be processed by an AI agent and returned in a rewritten form.